package com.bytedance.ies.ugc.aweme.commercialize.splash.topview;

import X.0Gp;
import X.2kf;
import X.878;
import X.8Zd;
import X.8Ze;
import X.8ec;
import X.8lp;
import X.9FH;
import X.9Ft;
import X.9Fx;
import X.C0339K0c;
import X.C0762KGj;
import X.LJ2;
import X.LQ7;
import X.LSP;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.AwemeRawAd;
import java.util.List;

public class TopViewPreloadTask implements 9FH, 8Ze {
    public final List<Aweme> LIZ;

    static {
        Covode.recordClassIndex(30887);
    }

    public String[] deps() {
        return null;
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public int priority() {
        return 2;
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1048575;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public 9Ft triggerType() {
        return 8Zd.LIZ(this);
    }

    public 9Fx scenesType() {
        return 9Fx.DEFAULT;
    }

    public 8lp threadType() {
        return 8lp.CPU;
    }

    public 8ec type() {
        return 8ec.BOOT_FINISH;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public TopViewPreloadTask(List<Aweme> list) {
        this.LIZ = list;
    }

    public void run(Context context) {
        AwemeRawAd awemeRawAd;
        2kf.LIZ(3, (String) null, "AwesomeSplashPreloadTask");
        LSP LIZ2 = LSP.LIZ();
        List<Aweme> list = this.LIZ;
        LQ7.LIZ.LIZ();
        if (LIZ2.LIZJ()) {
            for (Aweme next : list) {
                if (next != null) {
                    awemeRawAd = next.getAwemeRawAd();
                } else {
                    awemeRawAd = null;
                }
                C0762KGj LIZ3 = C0339K0c.LIZ("draw_ad", "download_video_no_download", awemeRawAd);
                LIZ3.LIZ("reason", "low_device");
                LIZ3.LIZIZ();
            }
        } else if (!878.LIZ(list)) {
            0Gp.LIZ(new LJ2(LIZ2, list, context));
        }
    }
}
